Members
List Eligible Pass Designs
Lists Pass Designs the Member is eligible for
Authorization
HTTPBearer AuthorizationBearer <token>
In: header
Path Parameters
member_id*string
Response Body
application/json
application/json
curl -X GET "https://api.members.dev/portal/v1/members/string/pass/designs"[
{
"title": "string",
"background_color": "#000000",
"label_color": "string",
"foreground_color": "string",
"strip_color": "string",
"layout": "strip_image",
"strip_image_url": "string",
"logo_url": "string",
"logo_title": "string",
"header_field_label": "string",
"header_field": {
"kind": "system",
"key": "name"
},
"primary_field_label": "string",
"primary_field": {
"kind": "system",
"key": "name"
},
"secondary_fields": [
{
"label": "string",
"field": {
"kind": "system",
"key": "name"
}
}
],
"barcode_type": "none",
"barcode_field": {
"kind": "system",
"key": "name"
},
"show_barcode_alt_text": false,
"eligibility": {
"type": "active_members"
},
"id": "string",
"organization_id": "string",
"archived_at": {},
"created_at": null,
"updated_at": null,
"is_selected": false
}
]{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}